gnutls_session_ticket_key_generate(3)

NAME
gnutls_session_ticket_key_generate - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_ticket_key_generate(gnutls_datum_t * key);

ARGUMENTS

gnutls_datum_t * key
    is a pointer to a gnutls_datum_t which will contain a newly created key.

DESCRIPTION
Generate a random key to encrypt security parameters within SessionTicket.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, or an error code.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.